Skip to main content
POST
cURL

Field support per integration

This endpoint needs the Maesn app to be installed in the Business Central environment. If the app is not installed, Business Central returns an error. Please get in touch with your contact person at maesn to get the app.
If you’re not using the Interactive Authentication Flow, make sure the query parameters environmentName and companyId are correctly populated. You can obtain these values by using the GET Environments and GET Companies endpoints available under the Authentication section.
Books a payment that was created with POST /payments. Until it is booked, the payment does not reduce the open amount of the invoice.Path parameters:
string
required
The id of the payment you want to book.

Headers

X-API-KEY
string
required

API key

Example:

"example value"

X-ACCOUNT-KEY
string
required

Account key

Example:

"example value"

Path Parameters

paymentId
string
required

Query Parameters

companyId
string
environmentName
string

Response

201 - application/json

Payment booked successfully

The response is of type any.

Last modified on November 13, 2026